hi guys,

new to ruby and rails. read a good chunk of simply rails 2 and i want to play around with the twitter api. instead of parsing it all myself i saw there was a twitter ruby gem on rubyforge

i'm on ubuntu linux. i ran
sudo gem install twitter
and
sudo install twitter

when i run the code:
Code:
require 'rubygems'
require 'twitter'

#searches all tweets for httparty
Twitter::Search.new('httparty').each { |r| puts r.inspect }
i get the error:
./twitter.rb:5: uninitialized constant Twitter (NameError)
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from -:2

any idea of what i'm doing wrong? thanks!